#!/usr/local/bin/perl
# Show a form for editing or creating an ACL

require './generate-lib.pl';
&ReadParse();
if ($in{'new'}) {
	&header($text{'edit_title1'}, "");
	$acl = { 'special' => 'daily',
		 'recur' => 1 };
	}
else {
	&header($text{'edit_title2'}, "");
	@acls = &list_acls();
	($acl) = grep { $_->{'name'} eq $in{'name'} } @acls;
	}
print "<hr>\n";

print "<form action=save.cgi method=post>\n";
print "<input type=hidden name=new value='$in{'new'}'>\n";
print "<input type=hidden name=old value='$in{'name'}'>\n";

print "<table border width=100%>\n";
print "<tr $tb> <td><b>$text{'edit_header'}</b></td> </tr>\n";
print "<tr $cb> <td><table width=100%>\n";

# ACL name
print "<tr> <td><b>$text{'edit_name'}</b></td>\n";
if ($in{'new'}) {
	printf "<td><input name=name size=20 value='%s'></td>\n",
		$acl->{'name'};
	}
else {
	print "<td>$acl->{'name'}</td>\n";
	}

# Base URL
print "<td><b>$text{'edit_url'}</b></td>\n";
printf "<td><input name=url size=30 value='%s'></td> </tr>\n",
	$acl->{'url'};

# Recursion level
print "<tr> <td><b>$text{'edit_recur'}</b></td>\n";
printf "<td><input name=recur size=5 value='%s'></td>\n",
	$acl->{'recur'};

# Filename
print "<tr> <td><b>$text{'edit_file'}</b></td> <td colspan=3>\n";
if ($in{'new'}) {
	print "<input type=radio name=auto value=1 checked> $text{'edit_auto'}\n";
	print "<input type=radio name=auto value=0> $text{'edit_spec'}\n";
	}
printf "<input name=file size=40 value='%s'></td> </tr>\n",
	$acl->{'file'};

print "</tr>\n";

print "<tr> <td colspan=4><hr></td> </tr>\n";

# Scheduled or not?
print "<tr> <td><b>$text{'edit_sched'}</b></td> <td colspan=3>\n";
printf "<input type=radio name=sched value=0 %s> %s\n",
	$acl->{'sched'} ? "" : "checked", $text{'no'};
printf "<input type=radio name=sched value=1 %s> %s\n",
	$acl->{'sched'} ? "checked" : "", $text{'edit_yes'};
print "</td> </tr>\n";

# Cron times input
print "<tr> <td colspan=4><table border>\n";
&cron::show_times_input($acl);
print "</table></td> </tr>\n";

print "</table></td></tr></table>\n";
print "<table width=100%><tr>\n";
if ($in{'new'}) {
	print "<td><input type=submit value='$text{'edit_create'}'></td>\n";
	}
else {
	print "<td><input type=submit value='$text{'save'}'></td>\n";
	print "<td align=center><input type=submit name=refresh value='$text{'edit_refresh'}'></td>\n";
	print "<td align=right><input type=submit name=delete value='$text{'delete'}'></td>\n";
	}
print "</tr></table>\n";
print "</form>\n";

print "<hr>\n";
&footer("", $text{'index_return'});

